# class Puppet::Property::MultiVDev

### Public Instance Methods

insync?(is) click to toggle source

    # File lib/puppet/type/zpool.rb, line 19
    def insync?(is)
      return @should == [:absent] if is == :absent

      return false unless is.length == @should.length

      is.each_with_index { |list, i| return false unless flatten_and_sort(list) == flatten_and_sort(@should[i]) }

      #if we made it this far we are in sync
      true
    end